## org.eclipse.uml2.uml
Interface DeploymentSpecification

All Superinterfaces:
  Artifact, Classifier, DeployedArtifact, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, Namespace, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement, RedefinableElement, TemplateableElement, Type

    public interface DeploymentSpecification

extends Artifact

A representation of the model object 'Deployment Specification'. A deployment specification specifies a set of properties that determine execution parameters of a component artifact that is deployed on a node. A deployment specification can be aimed at a specific type of container. An artifact that reifies or implements deployment specification properties is a deployment descriptor.

The following features are supported:

- `Deployment Location`
- `Execution Location`
- `Deployment`

See Also:
  `UMLPackage.getDeploymentSpecification()`

Method Summary
`Deployment` `getDeployment()` Returns the value of the 'Deployment' container reference.
`java.lang.String` `getDeploymentLocation()` Returns the value of the 'Deployment Location' attribute
`java.lang.String` `getExecutionLocation()` Returns the value of the 'Execution Location' attribute
`boolean` `isSetDeploymentLocation()` Returns whether the value of the '`Deployment Location`' attribute is set
`boolean` `isSetExecutionLocation()` Returns whether the value of the '`Execution Location`' attribute is set
`void` `setDeployment(Deployment value)` Sets the value of the '`Deployment`' container reference
`void` `setDeploymentLocation(java.lang.String value)` Sets the value of the '`Deployment Location`' attribute
`void` `setExecutionLocation(java.lang.String value)` Sets the value of the '`Execution Location`' attribute
`void` `unsetDeploymentLocation()` Unsets the value of the '`Deployment Location`' attribute
`void` `unsetExecutionLocation()` Unsets the value of the '`Execution Location`' attribute
`boolean` `validateDeployedElements(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The deployedElements of a DeploymentTarget that are involved in a Deployment that has an associated Deployment-Specification is a kind of Component (i.e. the configured components).
`boolean` `validateDeploymentTarget(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The DeploymentTarget of a DeploymentSpecification is a kind of ExecutionEnvironment.

Methods inherited from interface org.eclipse.uml2.uml.Artifact

`createManifestation, createNestedArtifact, createNestedArtifact, createOwnedAttribute, createOwnedAttribute, createOwnedAttribute, createOwnedOperation, createOwnedOperation, getFileName, getManifestation, getManifestation, getManifestations, getNestedArtifact, getNestedArtifact, getNestedArtifacts, getOwnedAttribute, getOwnedAttribute, getOwnedAttributes, getOwnedOperation, getOwnedOperation, getOwnedOperations, isSetFileName, setFileName, unsetFileName`

Methods inherited from interface org.eclipse.uml2.uml.Classifier

`allFeatures, allParents, conformsTo, createCollaborationUse, createGeneralization, createOwnedUseCase, createRepresentation, createSubstitution, getAllAttributes, getAllOperations, getAllUsedInterfaces, getAttribute, getAttribute, getAttributes, getCollaborationUse, getCollaborationUse, getCollaborationUses, getFeature, getFeature, getFeatures, getGeneral, getGeneral, getGeneralization, getGeneralization, getGeneralizations, getGenerals, getInheritedMember, getInheritedMember, getInheritedMembers, getOperation, getOperation, getOperations, getOwnedUseCase, getOwnedUseCase, getOwnedUseCases, getPowertypeExtent, getPowertypeExtent, getPowertypeExtents, getRedefinedClassifier, getRedefinedClassifier, getRedefinedClassifiers, getRepresentation, getSubstitution, getSubstitution, getSubstitutions, getUseCase, getUseCase, getUseCases, getUsedInterfaces, hasVisibilityOf, inherit, inheritableMembers, isAbstract, maySpecializeType, parents, setIsAbstract, setRepresentation, validateGeneralizationHierarchies, validateMapsToGeneralizationSet, validateNoCyclesInGeneralization, validateSpecializeType`

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.Type
`conformsTo, createAssociation, getAssociations, getPackage, setPackage`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TemplateableElement
`createOwnedTemplateSignature, createOwnedTemplateSignature, createTemplateBinding, getOwnedTemplateSignature, getTemplateBinding, getTemplateBinding, getTemplateBindings, isTemplate, parameterableElements, setOwnedTemplateSignature`

Method Detail

### getDeploymentLocation

    java.lang.String getDeploymentLocation()

  Returns the value of the 'Deployment Location' attribute. The location where an Artifact is deployed onto a Node. This is typically a 'directory' or 'memory address'.

  Returns:
    the value of the 'Deployment Location' attribute.
  See Also:
    `isSetDeploymentLocation()`, `unsetDeploymentLocation()`, `setDeploymentLocation(String)`, `UMLPackage.getDeploymentSpecification_DeploymentLocation()`

### setDeploymentLocation

    void setDeploymentLocation(java.lang.String value)

  Sets the value of the '`Deployment Location`' attribute.

  Parameters:
    `value` - the new value of the 'Deployment Location' attribute.
  See Also:
    `isSetDeploymentLocation()`, `unsetDeploymentLocation()`, `getDeploymentLocation()`

### unsetDeploymentLocation

    void unsetDeploymentLocation()

  Unsets the value of the '`Deployment Location`' attribute.

  See Also:
    `isSetDeploymentLocation()`, `getDeploymentLocation()`, `setDeploymentLocation(String)`

### isSetDeploymentLocation

    boolean isSetDeploymentLocation()

  Returns whether the value of the '`Deployment Location`' attribute is set.

  Returns:
    whether the value of the 'Deployment Location' attribute is set.
  See Also:
    `unsetDeploymentLocation()`, `getDeploymentLocation()`, `setDeploymentLocation(String)`

### getExecutionLocation

    java.lang.String getExecutionLocation()

  Returns the value of the 'Execution Location' attribute. The location where a component Artifact executes. This may be a local or remote location.

  Returns:
    the value of the 'Execution Location' attribute.
  See Also:
    `isSetExecutionLocation()`, `unsetExecutionLocation()`, `setExecutionLocation(String)`, `UMLPackage.getDeploymentSpecification_ExecutionLocation()`

### setExecutionLocation

    void setExecutionLocation(java.lang.String value)

  Sets the value of the '`Execution Location`' attribute.

  Parameters:
    `value` - the new value of the 'Execution Location' attribute.
  See Also:
    `isSetExecutionLocation()`, `unsetExecutionLocation()`, `getExecutionLocation()`

### unsetExecutionLocation

    void unsetExecutionLocation()

  Unsets the value of the '`Execution Location`' attribute.

  See Also:
    `isSetExecutionLocation()`, `getExecutionLocation()`, `setExecutionLocation(String)`

### isSetExecutionLocation

    boolean isSetExecutionLocation()

  Returns whether the value of the '`Execution Location`' attribute is set.

  Returns:
    whether the value of the 'Execution Location' attribute is set.
  See Also:
    `unsetExecutionLocation()`, `getExecutionLocation()`, `setExecutionLocation(String)`

### getDeployment

    Deployment getDeployment()

  Returns the value of the 'Deployment' container reference. It is bidirectional and its opposite is '`Configuration`'. The deployment with which the DeploymentSpecification is associated.

  Returns:
    the value of the 'Deployment' container reference.
  See Also:
    `setDeployment(Deployment)`, `UMLPackage.getDeploymentSpecification_Deployment()`, `Deployment.getConfigurations()`

### setDeployment

    void setDeployment(Deployment value)

  Sets the value of the '`Deployment`' container reference.

  Parameters:
    `value` - the new value of the 'Deployment' container reference.
  See Also:
    `getDeployment()`

### validateDeployedElements

    boolean validateDeployedElements(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  The deployedElements of a DeploymentTarget that are involved in a Deployment that has an associated Deployment-Specification is a kind of Component (i.e. the configured components). self.deployment->forAll (d | d.location.deployedElements->forAll (de | de.oclIsKindOf(Component)))

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateDeploymentTarget

    boolean validateDeploymentTarget(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  The DeploymentTarget of a DeploymentSpecification is a kind of ExecutionEnvironment. result = self.deployment->forAll (d | d.location..oclIsKindOf(ExecutionEnvironment))

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.